Subject: Re: bug#12833: 24.2.50; Avoid questions asked in the echo area to be overridden by messages

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Dec 2012 15:14:08 -0500

>>> What does that change in case of interactive question?
>>> If I do 1 require before asking a question to the user, the message about
>>> that require should hardly be visible (if visible at all -- because
>>> actions happen so quickly).  The question should use the space of the
>>> information message, point.
>> I see, yes, that would make sense.
> Does that mean it will be fixed that way?

No, it just means that I'd accept such a change.  But I don't have time
to come up with a patch for it in the foreseeable future.

> BTW, I tested a workaround in the meanwhile: let-binding
> `minibuffer-message-timeout' to 0.

I think you'd need to let-bind it around the code that brings up
the minibuffer.

        Stefan